Name:           perl-CGI-Emulate-PSGI
Version:        0.15
Release:        4%{?dist}
Summary:        PSGI adapter for CGI applications
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/CGI-Emulate-PSGI
Source0:        http://www.cpan.org/authors/id/M/MI/MIYAGAWA/CGI-Emulate-PSGI-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  perl(CGI)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(HTTP::Response)
BuildRequires:  perl(Test::Builder::Module)
# perl-Plack requires perl-CGI-Emulate-PSGI itself
%if 0%{!?perl_bootstrap:1}
BuildRequires:  perl(Plack::Test)
%endif
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
This module allows an application designed for the CGI environment to run
in a PSGI environment, and thus on any of the backends that PSGI supports.

%prep
%setup -q -n CGI-Emulate-PSGI-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Feb 17 2014 Andrea Veri <averi@fedoraproject.org> - 0.15-4
- Re-add perl(Plack::Test) back on the build requires list now that
  perl-Plack is available on EL 7.

* Mon Feb 17 2014 Andrea Veri <averi@fedoraproject.org> - 0.15-3
- Drop the circular build dependency through the perl_bootstrap flag. We'll build
  perl-Plack as soon as the other B-Ds will be there.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Oct 21 2012 Emmanuel Seyman <emmanuel@seyman.fr> - 0.15-1
- Update to 0.15

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 10 2012 Petr Pisar <ppisar@redhat.com> - 0.14-5
- Perl 5.16 re-rebuild of bootstrapped packages

* Tue Jun 12 2012 Petr Pisar <ppisar@redhat.com> - 0.14-4
- Perl 5.16 rebuild

* Mon Apr 09 2012 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> - 0.14-3
- Make BR on perl(Plack::Test) bypassable, thanks to Paul Howarth (#810565)
- Remove the no longer used defattr macro

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Nov 26 2011 Ralf Corsépius <corsepiu@fedoraproject.org> 0.14-1
- Upstream update.

* Mon Sep 19 2011 Ralf Corsépius <corsepiu@fedoraproject.org> 0.13-1
- Upstream update.

* Tue Jun 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.12-2
- Perl mass rebuild

* Mon Jun 20 2011 Ralf Corsépius <corsepiu@fedoraproject.org> 0.12-1
- Upstream update.
- Remove BuildRoot.

* Thu Mar 03 2011 Ralf Corsépius <corsepiu@fedoraproject.org> 0.11-1
- Upstream update.
- Spec cleanup.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 29 2010 Ralf Corsépius <corsepiu@fedoraproject.org> 0.10-1
- Merge-in *.spec from BZ 664815.
- Update to 0.10.
- Remove *-tests subpackage.

* Sat Mar 20 2010 Chris Weyl <cweyl@alumni.drew.edu> 0.06-1
- specfile by Fedora::App::MaintainerTools 0.006
